/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../display/render.h"
#include "../input/input.h"
#include "../epoch/epoch.h"

typedef struct {
  /** Time Manager for the game */
  epoch_t time;

  /** Render Manager for the game */
  render_t render;

  /** Input Manager for the game */
  input_t input;
} engine_t;