/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"
#include "pokergameassets.h"
#include "../../poker/poker.h"
#include "../../vn/vnconversation.h"
#include "../../vn/vnscene.h"
#include "pokerui.h"

/** Name of the Poker Game */
#define POKER_GAME_NAME "Dawn Poker Game"

typedef struct {
  /** Poker Game State */
  poker_t poker;

  /** Visual Novel Engine */
  vnscene_t scene;

  /** Assets for the game. */
  pokergameassets_t assets;

  /** UI For the Game */
  pokerui_t ui;
} pokergame_t;