/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "vncharacter.h"
#include "vnconversation.h"
#include "vntextbox.h"

/** Maximum number of Visual Novel Characters the scene can support */
#define VN_SCENE_CHARACTERS_MAX 6

typedef struct {
  /** Camera used for rendering, updated frequently */
  camera_t camera;

  /** Internal conversation element */
  vnconversation_t conversation;

  /** Character array */
  vncharacter_t characters[VN_SCENE_CHARACTERS_MAX];
  uint8_t characterCount;
} vnscene_t;