// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <dawn/dawn.h>
#include "action.h"
#include "../../../poker/bet.h"
#include "../../../poker/actions/round.h"
#include "../../../poker/actions/blinds.h"
#include "../../../poker/actions/deal.h"
#include "bet.h"

void _pokerGameActionRoundOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
);

void _pokerGameActionRoundOnEnd(queue_t *queue,queueaction_t *action,uint8_t i);

/**
 * Queues the round starting action onto the game. Handles talking VN logic.
 * 
 * @param game Game to add to.
 * @return The queued action.
 */
queueaction_t * pokerGameActionRoundAdd(pokergame_t *game);