/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/animation/queue.h"
#include "../dealer.h"

/** Callback for the deal action */
void _pokerActionDealOnStart(queue_t *queue, queueaction_t *action, uint8_t i);

/**
 * Adds a deal action onto the specified queue.
 * 
 * @param queue Queue to add to.
  * @param poker Poker game instance to deal.
  * @return The queued action.
 */
queueaction_t * pokerActionDealAdd(queue_t *queue, poker_t *poker);