/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/animation/queue.h"
#include "../bet.h"
#include "../player.h"

/** Callback for when the poker round start aciton begins. */
void _pokerActionRoundOnStart(queue_t *queue, queueaction_t *action, uint8_t i);

/**
 * Queues the round action onto a queue. Round action should be queued at the
 * start of every poker round.
 * 
 * @param queue Queue to add to.
 * @param poker Poker game instance.
 * @return The queued action.
 */
queueaction_t * pokerActionRoundAdd(queue_t *queue, poker_t *poker);