/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../display/shader.h"
#include "../display/camera.h"
#include "../display/gui/font.h"
#include "../file/asset.h"

#include "../display/gui/font.h"
#include "../display/texture.h"
#include "../vn/vncharacter.h"
#include "../vn/conversation/vnconversation.h"
#include "../vn/conversation/talk.h"

typedef struct {
  shader_t shader;
  camera_t camera;
  font_t font;
  
  vnconversation_t conversation;

  vncharacter_t character1;
  vncharacter_t character2;

  texture_t pennyEyes;
  texture_t pennyBody;
  texture_t pennyMouth;
  texture_t pennyFace;
} testscene_t;

void testSceneInit(testscene_t *scene, game_t *game);
void testSceneRender(testscene_t *scene, game_t *game);